import { jsxs as N, jsx as I } from "react/jsx-runtime";
import { useState as k, useRef as E, useCallback as v, useEffect as L, useMemo as O } from "react";
import { B as j } from "../button/button.js";
import { e as q, c as B, a as F, b as H, f as R, i as U, m as W } from "../tools/tools.js";
import { A as z } from "./alert-heading.js";
import { A as D } from "./alert-link.js";
const { logWarning: K } = q(), M = {
  clickToClose: !0
}, _ = (g) => {
  const { clickToClose: o, dismissible: c, fade: i, onClose: s, visible: e } = g, [t, n] = k(!i && typeof e == "boolean" ? e : !0), [a, l] = k(!1), b = E(null), f = E(!1);
  f.current || (f.current = !0, typeof e == "boolean" && c && o && typeof s != "function" && K({
    component: "Alert",
    message: "When using 'visible' and 'dismissible' to control the Alert component, please manually handle the close event of the dismissible close button to avoid inconsistencies with the 'visible' state.",
    param: "visible"
  }));
  const r = v(() => {
    i ? l(!1) : n(!1);
  }, [i]), m = v(() => {
    typeof e == "boolean" && c ? s == null || s() : o ? (r(), s == null || s()) : s == null || s(r);
  }, [o, c, r, s, e]);
  return L(() => {
    typeof e == "boolean" ? i ? e ? n(!0) : l(!1) : n(e) : i && l(!0);
  }, [i, e]), L(() => {
    if (!i)
      return;
    const u = b.current;
    if (u) {
      const p = () => {
        typeof e == "boolean" ? e || n(!1) : !a && t && n(!1);
      };
      return u.addEventListener("transitionend", p), typeof e == "boolean" && e && requestAnimationFrame(() => {
        l(!0);
      }), () => u.removeEventListener("transitionend", p);
    }
  }, [i, e, t, a]), { alertElement: b, handleClose: m, isShowing: a, isVisible: t };
}, A = function(o) {
  const {
    as: c = "div",
    className: i,
    clickToClose: s = M.clickToClose,
    closeButton: e,
    closeButtonProps: t,
    dismissible: n,
    dropOldClass: a,
    fade: l,
    onClose: b,
    style: f,
    variables: r,
    variant: m,
    visible: u,
    ...p
  } = o, { alertElement: S, handleClose: y, isShowing: C, isVisible: T } = _({
    clickToClose: s,
    dismissible: n,
    fade: l,
    onClose: b,
    visible: u
  }), V = v(
    (d) => {
      var h;
      y(), (h = t == null ? void 0 : t.onClick) == null || h.call(t, d);
    },
    [t, y]
  ), w = O(() => {
    const d = B(
      !a && "alert",
      m && `alert-${m}`,
      n && "alert-dismissible",
      l && "fade",
      C && "show",
      i
    ), h = F({ ...r, ...f }, !0, ($, x) => H(x));
    return R(
      {
        className: d,
        style: h
      },
      U
    );
  }, [i, n, a, l, C, f, r, m]);
  return T && /* @__PURE__ */ N(c, { ...p, ...w, ref: S, children: [
    o.children,
    n && (e ? e({ close: y }) : /* @__PURE__ */ I(
      j,
      {
        btnClose: !0,
        ...W(t, {
          onClick: (d) => V(d)
        })
      }
    ))
  ] });
};
A.Link = D;
A.Heading = z;
A.displayName = "BRL.Alert";
export {
  A
};
//# sourceMappingURL=alert.js.map
