import { ElementType } from 'react';
import { ListGroupProps } from './types.ts';
declare const ListGroup: {
    <T extends ElementType = "div" | "ol" | "ul">(props: ListGroupProps<T>): import("react/jsx-runtime").JSX.Element;
    Item: {
        <T extends ElementType = "a" | "button" | "li">(props: import('./types.ts').ListGroupItemProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default ListGroup;
