import { ElementType } from 'react';
import { ModalProps } from './types.ts';
declare const Modal: {
    <T extends ElementType = "div">(props: ModalProps<T>): import("react/jsx-runtime").JSX.Element;
    Dialog: {
        <T extends ElementType = "div">(props: import('./types.ts').ModalDialogProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Content: {
        <T extends ElementType = "div">(props: import('./types.ts').ModalContentProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Header: {
        <T extends ElementType = "div">(props: import('./types.ts').ModalHeaderProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Footer: {
        <T extends ElementType = "div">(props: import('./types.ts').ModalFooterProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Title: {
        <T extends ElementType = "div">(props: import('./types.ts').ModalTitleProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Body: {
        <T extends ElementType = "div">(props: import('./types.ts').ModalBodyProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Backdrop: {
        <T extends ElementType = "div">(props: import('./types.ts').ModalBackdropProps<T>): false | import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default Modal;
