import { ElementType } from 'react';
import { NavProps } from './types.ts';
declare const Nav: {
    <T extends ElementType = "nav" | "ul">(props: NavProps<T>): import("react/jsx-runtime").JSX.Element;
    Item: {
        <T extends ElementType = "li">(props: import('./types.ts').NavItemProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Link: {
        <T extends ElementType = "a" | "button">(props: import('./types.ts').NavLinkProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    TabContent: {
        <T extends ElementType = "div">(props: import('./types.ts').NavTabContentProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    TabPane: {
        <T extends ElementType = "div">(props: import('./types.ts').NavTabPaneProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default Nav;
