import { ElementType } from 'react';
import { PaginationProps } from './types.ts';
declare const Pagination: {
    <T extends ElementType = "ul">(props: PaginationProps<T>): import("react/jsx-runtime").JSX.Element;
    Item: {
        <T extends ElementType = "li">(props: import('./types.ts').PaginationItemProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Nav: {
        <T extends ElementType = "nav">(props: import('./types.ts').PaginationNavProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Link: {
        <T extends ElementType = "a">(props: import('./types.ts').PaginationLinkProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default Pagination;
