import { ElementType } from 'react';
import { PopoverProps } from './types.ts';
declare const Popover: {
    <T extends ElementType = "div">(props: PopoverProps<T>): import("react/jsx-runtime").JSX.Element;
    Arrow: {
        <T extends ElementType = "div">(props: import('./types.ts').PopoverArrowProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Header: {
        <T extends ElementType = "div">(props: import('./types.ts').PopoverHeaderProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Body: {
        <T extends ElementType = "div">(props: import('./types.ts').PopoverBodyProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default Popover;
